GET
/
v2
/
devices
/
{id}
Get inventory device
curl --request GET \
  --url https://coreapi-dev.us.bcpapers.ca/v2/devices/{id} \
  --header 'Authorization: <api-key>'
{
  "asset_tag": "<string>",
  "created_at": "<string>",
  "enrolled_at": "<string>",
  "enrollment_type": "<string>",
  "id": "<string>",
  "model": "<string>",
  "name": "<string>",
  "os_version": "<string>",
  "ownership": "<string>",
  "platform": "<string>",
  "provider": "<string>",
  "serial_number": "<string>",
  "status": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

id
string
required

Device UUID

Response

200 - application/json

OK

asset_tag
string
created_at
string
enrolled_at
string
enrollment_type
string
id
string
model
string
name
string
os_version
string
ownership
string
platform
string
provider
string
serial_number
string
status
string
updated_at
string